<?php
function mytheme_initialization_options($wp_customize){
		$wp_customize->add_section('mytheme_initialization_options', array(
        'title'    => __('主题整站风格调整', 'mytheme'),
        'description' => '首页、分类、文章、产品等等页面的背景与颜色都可以在此调整
</br> </br>需要帮助？<a target="_blank" href="https://www.themepark.com.cn/wkscwoocommercegjztspjc.html">[观看视频教程]</a>',        'priority' => 70,
    ));
	
	
	
	
	 $wp_customize->add_setting('mytheme_index_bac', array(
	    'default'        =>   '#f5f5f5',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_index_bac', array(
        'label'    => __('【首页】背景颜色', 'mytheme_index_bac'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_index_bac',
    )));	
	
	
	$wp_customize->add_setting('mytheme_index_bac_img', array(
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'mytheme_index_bac_img', array(
        'label'    => __('【首页】背景图片', 'mytheme_index_bac_img'),
         'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_index_bac_img',
		'description' => '如果上传了背景图片，那么背景颜色将会被覆盖掉，如果不设置其他如分类目录等等区域的背景，那么整站将会继承上面两个设置',
     )
    )); 



 $wp_customize->add_setting('mytheme_index_title', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_index_title', array(
        'label'    => __('主色调配色', 'mytheme_index_title'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_index_title',
		'description' => '主色调配色主要为较大的区域配色，比如标题颜色、大块的背景颜色等',
    )));	
	
	
	 $wp_customize->add_setting('mytheme_index_title2', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_index_title2', array(
        'label'    => __('副色调配色', 'mytheme_index_title2'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_index_title2',
		'description' => '副色调配色主要是一些小的区域配色，比如查看详细按钮、时间阅读量等的配色',
    )));	
	
	
//----------------------------index------------------------------------------------		

	
	
	$wp_customize->add_setting('mytheme_screening_color', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_screening_color', array(
        'label'    => __('【全站】筛选按钮（包括文章筛选和产品筛选）', 'mytheme_screening_color'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_screening_color',
    )));
	
	
	
	
	
	
	
	
	
	
	$wp_customize->add_setting('mytheme_page_muen_nav', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_page_muen_nav', array(
        'label'    => __('【全站】面包屑背景颜色', 'mytheme_page_muen_nav'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_page_muen_nav',
    )));
	
	
		$wp_customize->add_setting('mytheme_page_muen_nav2', array(
	    'default'        =>   '',
        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_page_muen_nav2', array(
        'label'    => __('【全站】面包屑文字颜色', 'mytheme_page_muen_nav2'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_page_muen_nav2',
    )));
	
	
	
//----------------------------all------------------------------------------------	






 $wp_customize->add_setting('mytheme_product_bac3', array(

        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_product_bac3', array(
        'label'    => __('【文章分类列表】背景颜色', 'mytheme_index_bac3'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_product_bac3',
    )));	
	
	

	
	
	
	
 $wp_customize->add_setting('mytheme_product_bac4', array(

        'sanitize_callback' => 'sanitize_hex_color',
        'capability'        => 'edit_theme_options',
        'type'           => 'option',
 
    ));
 
    $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'mytheme_product_bac4', array(
        'label'    => __('【文内详细】背景颜色', 'mytheme_index_bac4'),
        'section'  => 'mytheme_initialization_options',
        'settings' => 'mytheme_product_bac4',
    )));	
	
	
	
	
	

//---------------------------product&cat&single------------------------------------------------	

	
};
add_action('customize_register', 'mytheme_initialization_options');
?>